org.apache.creadur.tentacles

## Class TemplateBuilder

- java.lang.Object
- - org.apache.creadur.tentacles.TemplateBuilder

    public class TemplateBuilder
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`TemplateBuilder(String template, IOSystem ioSystem, org.apache.velocity.app.VelocityEngine engine, TentaclesResources tentaclesResources)`

### Method Summary

All Methods Instance Methods Concrete Methods
`TemplateBuilder` `add(String key, Object value)`
`TemplateBuilder` `addAll(Map<String,Object> map)`
`String` `apply()`
`File` `write(File file)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TemplateBuilder

    public TemplateBuilder(String template,
                           IOSystem ioSystem,
                           org.apache.velocity.app.VelocityEngine engine,
                           TentaclesResources tentaclesResources)

### Method Detail

#### add

    public TemplateBuilder add(String key,
                               Object value)

#### addAll

    public TemplateBuilder addAll(Map<String,Object> map)

#### apply

    public String apply()

#### write

    public File write(File file)
               throws IOException

Throws:
  `IOException`